#include <array>

#ifndef SVARS_H
#define SVARS_H

struct sVars {
  float x, y, z;
  float xPrev, yPrev, zPrev;
  float vx, vy, vz;
  float vxPrev, vyPrev, vzPrev;
  float vxBody, vyBody, vzBody;
  float ax, ay, az, axPrev, ayPrev, azPrev;

  float yaw, pitch, roll;
  float phidot, thetadot, psidot;
  float yawPrev, pitchPrev, rollPrev;
  float yawdot, pitchdot, rolldot;
  float yawdotPrev, pitchdotPrev, rolldotPrev;
  float yawddot, pitchddot, rollddot;
  float yawddotPrev, pitchddotPrev, rollddotPrev;

  float m, m0, mp, mb, mdot;
  float vehicleHeight, vehicleRadius, momentArm;

  float tb;
  float vb;
  float thrust, thrust_prev, burnElapsed, burnStart;
  float LQRx, LQRy, Fx, Fy, Fz;
  float momentX, momentY, momentZ;

  float I11, I22, I33;
  float I11prev, I22prev, I33prev;
  float I11dot, I22dot, I33dot;

  int maxServo;
  float xServoDegs, yServoDegs;

  float simTime;
  int stepSize;
};

#endif